DH_SYSTEMD_START(1)

NOME
dh_systemd_start - faz start/stop/restart aos ficheiros unit do systemd

RESUMO
dh_systemd_start [debhelper options] [--restart-after-upgrade] [--no-stop-on-upgrade] [unit file ...]

DESCRIÇÃO
dh_systemd_start é um programa debhelper que é responsável por arrancar/parar ou reiniciar ficheiros unit do systemd no caso de não estar disponível nenhum script sysv init correspondente.

Como com dh_installinit, o ficheiro unit é parado antes das actualizações e arrancado depois (a menos que --restart-after-upgrade seja especificado, onde neste caso será apenas reiniciado após a actualização). Esta lógica não é usada quando existe um script de iniciação de SysV correspondente porque invoke-rc.d executa o stop/start/restart nesse caso.

OPÇÕES

--restart-after-upgrade
    Não para o ficheiro unit até que a actualização do pacote esteja completa. Este é o comportamento predefinido no nível de compatibilidade 10.

    Nos níveis de compatibilidade anteriores a predefinição era parar o ficheiro unit no prerm, e arranca-lo de novo no postinst.t>.

    Isto pode ser útil para daemons que não devem ter a possibilidade de ficar em baixo durante muito tempo durante a actualização. Mas você deve certificar-se que o daemon não vai ficar confuso por o pacote estar a ser actualizado enquanto ele está a correr antes de usar esta opção.

--no-restart-after-upgrade
    Desfaz um --restart-after-upgrade prévio (ou a predefinição do nível de compatibilidade 10). Se não forem dadas mais opções, isto irá causar com que o serviço seja parado no script prerm e arrancado de novo no script postinst.

-r, --no-stop-on-upgrade, --no-restart-on-upgrade
    Não para o serviço durante uma actualização.

--no-start
    Não arranca o ficheiro unit após actualizações e após a instalação inicial (o seguinte é apenas relevante para serviços sem um script init correspondente).

NOTAS
Note que este comando não é idempotente. O dh_prep(1) deve ser chamado entre invocações deste comando (com os mesmos argumentos). Caso contrário, pode causar múltiplas instâncias do mesmo texto a ser adicionado aos scripts do maintainer.

Note que dh_systemd_start deve correr após dh_installinit para que possa detectar scripts init do SysV correspondentes. A sequência predefinida em dh faz o correcto, esta nota é apenas relevante quando você está a chamar dh_systemd_start manualmente.

VEJA TAMBÉM
debhelper(7)

AUTORES
pkg-systemd-maintainers@lists.alioth.debian.org

TRADUÇÃO
Américo Monteiro

Se encontrar algum erro na tradução deste documento, por favor comunique para Américo Monteiro a_monteiro@gmx.com ou Equipa Debian de Tradução Portuguesa traduz@debianpt.org.